
QGIS Application - Bug report #21635

Qgis Server prnting Problem on coordinate system EPSG:31254

2019-03-21 10:00 AM - Johannes Metzler

Status: Closed

Priority: High

Assignee:

Category: QGIS Server

Affected QGIS version:3.4.5 Regression?: Yes

Operating System: Ubuntu 18.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 29451

Description

Qgis server Printing results in empty map when the coordinat system of project and layers is EPSG:31254

problem does not appear when i change project coordinate system to EPSG:3857 or EPSG:3794

History

#1 - 2019-03-21 11:57 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from High to Normal

Did it worked as expected on QGIS Server 2.18?

#2 - 2019-03-21 12:00 PM - Johannes Metzler

Yes, it worked on previous versions,

it looks like the calculated area is wrong for this projection

#3 - 2019-03-21 12:02 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Category changed from Map Composer/Printing to QGIS Server

- Priority changed from Normal to High

it looks like the calculated area is wrong for this projection

this is a different issue? are we talking getprint requests to qgis server, correct?

#4 - 2019-03-21 02:20 PM - Johannes Metzler

same issue, just badly expressed,

it looks like the resulting area of the getprint request ends up in a different area as supposed,

despite coordinates in getprint request are looking good

pls find two requests of the same project and the same area with different coordinate systems.

the first result contains only the layout:
https://10.13.74.35/proxy/STWebgis?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=applicati

n/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A31254&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=-46943%2C261400%2C-43547%2C263560&#38;map0%3Ascale=12000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=500&#38;map0%3Agrid_int

%2C261400%2C-43547%2C263560&#38;map0%3Ascale=12000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=500&#38;map0%3Agrid_interval_y=500&#38;LAYERS=

terval_y=500&#38;LAYERS=

the second the comlete map:

https://10.13.74.35/proxy/STWebgis_print?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=ap

lication/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A3857&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=1075431.5%2C6019155.9%2C1096657%2C6032656.2&#38;map0%3Ascale=75000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=5000&#38

75431.5%2C6019155.9%2C1096657%2C6032656.2&#38;map0%3Ascale=75000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=5000&#38;map0%3Agrid_interval_y=5000&#38;LAYERS=mangel

;map0%3Agrid_interval_y=5000&#38;LAYERS=mangel

thanks!

#5 - 2019-03-21 03:53 PM - Giovanni Manghi

Johannes Metzler wrote:

same issue, just badly expressed,

it looks like the resulting area of the getprint request ends up in a different area as supposed,

despite coordinates in getprint request are looking good

pls find two requests of the same project and the same area with different coordinate systems.

the first result contains only the layout:

https://10.13.74.35/proxy/STWebgis?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=app

ication/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A31254&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=-46943%2C261400%2C-43547%2C263560&#38;map0%3Ascale=12000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=500&#38;m

t=-46943%2C261400%2C-43547%2C263560&#38;map0%3Ascale=12000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=500&#38;map0%3Agrid_interval_y=500&#38;LAYERS=

p0%3Agrid_interval_y=500&#38;LAYERS=

the second the comlete map:

https://10.13.74.35/proxy/STWebgis_print?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTION

=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A3857&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=1075431.5%2C6019155.9%2C1096657%2C6032656.2&#38;map0%3Ascale=75000&#38;map0%3Arotation=0&#38;map0%3Agrid_interv

extent=1075431.5%2C6019155.9%2C1096657%2C6032656.2&#38;map0%3Ascale=75000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=5000&#38;map0%3Agrid_interval_y=5000&#38;LAYERS=mangel

l_x=5000&#38;map0%3Agrid_interval_y=5000&#38;LAYERS=mangel

thanks!

links timeout for me, anyway the two requests are different, I mean they do not change only because of the CRS. It would be good if you could test/provide

two identical requests other than the CRS parameter.

#6 - 2019-03-22 10:24 AM - Johannes Metzler

Unfortunately our qgis server is running in intranet only,

I used the same file just saved to another name and changed CRS and advertised Map Canvass extent.

I didnt wanted to bother you with the whole GetPrint request because its an awful long list of layers:

https://10.13.74.35/proxy/STWebgis?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=applicati

n/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A31254&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=-46943%2C261400%2C-43547%2C263560&#38;map0%3Ascale=12000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=500&#38;map0%3Agrid_int

%2C261400%2C-43547%2C263560&#38;map0%3Ascale=12000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=500&#38;map0%3Agrid_interval_y=500&#38;LAYERS=mangel20180920171622863905159830%2CDokuWareLink20180716161903701%2Cbaustellenfotos20180723155437905%2CFl%C3%A4che20171219114731645%2CLinie20180109150819560%2CSymbol20180109152924491%2CosmB20180110114406224%2CosmLB20180
https://10.13.74.35/proxy/STWebgis?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A31254&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=-46943%2C261400%2C-43547%2C263560&#38;map0%3Ascale=12000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=500&#38;map0%3Agrid_interval_y=500&#38;LAYERS=
https://10.13.74.35/proxy/STWebgis?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A31254&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=-46943%2C261400%2C-43547%2C263560&#38;map0%3Ascale=12000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=500&#38;map0%3Agrid_interval_y=500&#38;LAYERS=
https://10.13.74.35/proxy/STWebgis?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A31254&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=-46943%2C261400%2C-43547%2C263560&#38;map0%3Ascale=12000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=500&#38;map0%3Agrid_interval_y=500&#38;LAYERS=
https://10.13.74.35/proxy/STWebgis?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A31254&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=-46943%2C261400%2C-43547%2C263560&#38;map0%3Ascale=12000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=500&#38;map0%3Agrid_interval_y=500&#38;LAYERS=
https://10.13.74.35/proxy/STWebgis_print?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A3857&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=1075431.5%2C6019155.9%2C1096657%2C6032656.2&#38;map0%3Ascale=75000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=5000&#38;map0%3Agrid_interval_y=5000&#38;LAYERS=mangel
https://10.13.74.35/proxy/STWebgis_print?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A3857&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=1075431.5%2C6019155.9%2C1096657%2C6032656.2&#38;map0%3Ascale=75000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=5000&#38;map0%3Agrid_interval_y=5000&#38;LAYERS=mangel
https://10.13.74.35/proxy/STWebgis_print?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A3857&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=1075431.5%2C6019155.9%2C1096657%2C6032656.2&#38;map0%3Ascale=75000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=5000&#38;map0%3Agrid_interval_y=5000&#38;LAYERS=mangel
https://10.13.74.35/proxy/STWebgis_print?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A3857&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=1075431.5%2C6019155.9%2C1096657%2C6032656.2&#38;map0%3Ascale=75000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=5000&#38;map0%3Agrid_interval_y=5000&#38;LAYERS=mangel
https://10.13.74.35/proxy/STWebgis?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A31254&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=-46943%2C261400%2C-43547%2C263560&#38;map0%3Ascale=12000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=500&#38;map0%3Agrid_interval_y=500&#38;LAYERS=
https://10.13.74.35/proxy/STWebgis?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A31254&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=-46943%2C261400%2C-43547%2C263560&#38;map0%3Ascale=12000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=500&#38;map0%3Agrid_interval_y=500&#38;LAYERS=
https://10.13.74.35/proxy/STWebgis?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A31254&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=-46943%2C261400%2C-43547%2C263560&#38;map0%3Ascale=12000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=500&#38;map0%3Agrid_interval_y=500&#38;LAYERS=
https://10.13.74.35/proxy/STWebgis?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A31254&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=-46943%2C261400%2C-43547%2C263560&#38;map0%3Ascale=12000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=500&#38;map0%3Agrid_interval_y=500&#38;LAYERS=
https://10.13.74.35/proxy/STWebgis_print?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A3857&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=1075431.5%2C6019155.9%2C1096657%2C6032656.2&#38;map0%3Ascale=75000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=5000&#38;map0%3Agrid_interval_y=5000&#38;LAYERS=mangel
https://10.13.74.35/proxy/STWebgis_print?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A3857&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=1075431.5%2C6019155.9%2C1096657%2C6032656.2&#38;map0%3Ascale=75000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=5000&#38;map0%3Agrid_interval_y=5000&#38;LAYERS=mangel
https://10.13.74.35/proxy/STWebgis_print?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A3857&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=1075431.5%2C6019155.9%2C1096657%2C6032656.2&#38;map0%3Ascale=75000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=5000&#38;map0%3Agrid_interval_y=5000&#38;LAYERS=mangel
https://10.13.74.35/proxy/STWebgis_print?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A3857&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=1075431.5%2C6019155.9%2C1096657%2C6032656.2&#38;map0%3Ascale=75000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=5000&#38;map0%3Agrid_interval_y=5000&#38;LAYERS=mangel
https://10.13.74.35/proxy/STWebgis?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A31254&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=-46943%2C261400%2C-43547%2C263560&#38;map0%3Ascale=12000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=500&#38;map0%3Agrid_interval_y=500&#38;LAYERS=mangel20180920171622863905159830%2CDokuWareLink20180716161903701%2Cbaustellenfotos20180723155437905%2CFl%C3%A4che20171219114731645%2CLinie20180109150819560%2CSymbol20180109152924491%2CosmB20180110114406224%2CosmLB20180110114408930%2Cstra%C3%9Fen20140117091808354%2Chaus_nb_aktuell20100802162829653%2Ceinfriedungen_linien20100802163013412%2Casphaltr%C3%A4nder_linien20100802163013178%2Cgeb%C3%A4ude_neu20100805143026794%2Ch%C3%A4user_detail20100802163014286%2Ceinbauten20180201083029320584309030%2Cwasserleitungen20170808075339682%2Cgasleitungen20170808075133142%2Cgasleitungen_sigpkt20140116155256604%2Cwasserleitungen_sigpkt20140116155256667%2CWPunkte20100822124923855%2CWasserSchieberNR25020110303163753482%2CGasSchieberNR25020110303163744139%2CGaspkt20100806113028869%2Chilfslinie20100820150430373%2Cbemassung_line20100816161341425%2Cbemassung_neu_p20100908102735824%2Cbeschriftung_neu20100823131516921%2Cg_text20100805144300573%2Cw_text20181003142620493%2CBemassung_punkte20100822103519055%2Cbemassung_neu_l20161124160216047%2Cbemassung_neu_p20140116133329208%2Cusers_print_view20171219110055662&#38;description=&#38;title=&#38;filter=users_print_view20171219110055662%3A%22user_name%22%20%3D%20%27Metzler%27
https://10.13.74.35/proxy/STWebgis?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A31254&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=-46943%2C261400%2C-43547%2C263560&#38;map0%3Ascale=12000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=500&#38;map0%3Agrid_interval_y=500&#38;LAYERS=mangel20180920171622863905159830%2CDokuWareLink20180716161903701%2Cbaustellenfotos20180723155437905%2CFl%C3%A4che20171219114731645%2CLinie20180109150819560%2CSymbol20180109152924491%2CosmB20180110114406224%2CosmLB20180110114408930%2Cstra%C3%9Fen20140117091808354%2Chaus_nb_aktuell20100802162829653%2Ceinfriedungen_linien20100802163013412%2Casphaltr%C3%A4nder_linien20100802163013178%2Cgeb%C3%A4ude_neu20100805143026794%2Ch%C3%A4user_detail20100802163014286%2Ceinbauten20180201083029320584309030%2Cwasserleitungen20170808075339682%2Cgasleitungen20170808075133142%2Cgasleitungen_sigpkt20140116155256604%2Cwasserleitungen_sigpkt20140116155256667%2CWPunkte20100822124923855%2CWasserSchieberNR25020110303163753482%2CGasSchieberNR25020110303163744139%2CGaspkt20100806113028869%2Chilfslinie20100820150430373%2Cbemassung_line20100816161341425%2Cbemassung_neu_p20100908102735824%2Cbeschriftung_neu20100823131516921%2Cg_text20100805144300573%2Cw_text20181003142620493%2CBemassung_punkte20100822103519055%2Cbemassung_neu_l20161124160216047%2Cbemassung_neu_p20140116133329208%2Cusers_print_view20171219110055662&#38;description=&#38;title=&#38;filter=users_print_view20171219110055662%3A%22user_name%22%20%3D%20%27Metzler%27
https://10.13.74.35/proxy/STWebgis?SERVICE=WMS&#38;VERSION=1.3&#38;REQUEST=GetPrint&#38;FORMAT=pdf&#38;EXCEPTIONS=application/vnd.ogc.se_inimage&#38;TRANSPARENT=true&#38;SRS=EPSG%3A31254&#38;DPI=300&#38;TEMPLATE=A4Quer&#38;map0%3Aextent=-46943%2C261400%2C-43547%2C263560&#38;map0%3Ascale=12000&#38;map0%3Arotation=0&#38;map0%3Agrid_interval_x=500&#38;map0%3Agrid_interval_y=500&#38;LAYERS=mangel20180920171622863905159830%2CDokuWareLink20180716161903701%2Cbaustellenfotos20180723155437905%2CFl%C3%A4che20171219114731645%2CLinie20180109150819560%2CSymbol20180109152924491%2CosmB20180110114406224%2CosmLB20180110114408930%2Cstra%C3%9Fen20140117091808354%2Chaus_nb_aktuell20100802162829653%2Ceinfriedungen_linien20100802163013412%2Casphaltr%C3%A4nder_linien20100802163013178%2Cgeb%C3%A4ude_neu20100805143026794%2Ch%C3%A4user_detail20100802163014286%2Ceinbauten20180201083029320584309030%2Cwasserleitungen20170808075339682%2Cgasleitungen20170808075133142%2Cgasleitungen_sigpkt20140116155256604%2Cwasserleitungen_sigpkt20140116155256667%2CWPunkte20100822124923855%2CWasserSchieberNR25020110303163753482%2CGasSchieberNR25020110303163744139%2CGaspkt20100806113028869%2Chilfslinie20100820150430373%2Cbemassung_line20100816161341425%2Cbemassung_neu_p20100908102735824%2Cbeschriftung_neu20100823131516921%2Cg_text20100805144300573%2Cw_text20181003142620493%2CBemassung_punkte20100822103519055%2Cbemassung_neu_l20161124160216047%2Cbemassung_neu_p20140116133329208%2Cusers_print_view20171219110055662&#38;description=&#38;title=&#38;filter=users_print_view20171219110055662%3A%22user_name%22%20%3D%20%27Metzler%27


terval_y=500&#38;LAYERS=mangel20180920171622863905159830%2CDokuWareLink20180716161903701%2Cbaustellenfotos20180723155437905%2CFl%C3%A4che20171219114731645%2CLinie20180109150819560%2CSymbol20180109152924491%2CosmB20180110114406224%2CosmLB20180110114408930%2Cstra%C3%9Fen20140117091808354%2Chaus_nb_aktuell20100802162829653%2Ceinfriedungen_linien20100802163013412%2Casphaltr%C3%A4nder_linien20100802163013178%2Cgeb%C3%A4ude_neu20100805143026794%2Ch%C3%A4user_detail20100802163014286%2Ceinb
I see the grid interval is changing but i Dont know why

Thanks!

#7 - 2019-03-22 12:04 PM - Giovanni Manghi

Johannes Metzler wrote:

Unfortunately our qgis server is running in intranet only,

can't you set-up a test endpoint we can try?

I see the grid interval is changing but i Dont know why

hard to say what/if there is something wrong without an endpoint or possibly a test project+data.

How do you generate those getprint requests?

#8 - 2019-03-22 12:39 PM - Johannes Metzler

I use EQWC from

https://github.com/uprel/gisapp

which is a clone of QGIS-Web-Client 1
I can only offer teamviewer access

#9 - 2019-04-18 12:12 PM - Uroš Preložnik

Johannes Metzler wrote:

I use EQWC from

https://github.com/uprel/gisapp

which is a clone of QGIS-Web-Client 1

I can only offer teamviewer access

Hi,

I also checked this problem since Johannes is using our EQWC. It was bug in 2.18 in GetPrint request to use map extent in the correct axis order set with

map CRS. The issue was only for projections that have reverse axis order in QGIS 2. QGIS Server 3.x is working fine here, so after client code was

modified for v3 everything is fine.

Can be closed, no issue here.

#10 - 2019-04-18 01:07 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
